{
  "schemaVersion": 2,
  "services": [
    {
      "name": "npm",
      "image": "jc21/nginx-proxy-manager:2.13.5",
      "isMain": true,
      "internalPort": 81,
      "addPorts": [
        {
          "hostPort": "192.168.1.150:${NPM_HTTP_PORT}",
          "containerPort": 80
        },
        {
          "hostPort": "192.168.1.150:${NPM_HTTPS_PORT}",
          "containerPort": 443
        },
        {
          "hostPort": "192.168.1.150:${NPM_WEBUI_PORT}",
          "containerPort": 81
        }
      ],
      "environment": [
        {"key": "DISABLE_IPV6", "value": "true"}
      ],
      "volumes": [
        {
          "hostPath": "${APP_DATA_DIR}/data",
          "containerPath": "/data"
        },
        {
          "hostPath": "${APP_DATA_DIR}/letsencrypt",
          "containerPath": "/etc/letsencrypt"
        }
      ]
    }
  ]
}
